*! version 1.0.1  07apr2007  by Marc Muendler     muendler@ucsd.edu

* 6digit HS to ISIC rev.2 
* http://www.macalester.edu/research/economics/page/haveman/Trade.Resources/Concordances/FromHS/hs_isic.txt
* Thanks to Cristina Gamboa (Fedesarrollo). The original source is the CDROM "A dataset on trade and production 1976-99" that comes along with the book edited by B.Hoekman, A. Mattoo and P. English, Development, Trade and the WTO: a Handbook.

version 8.2
set more off
set virtual on
clear
set mem 100m
set trace off

cd "$root"

capture log close
log using "braxpmkt/logs/hs2isic.log", replace

insheet using "braxpmkt/conc/hs_isic.txt", clear
rename isicr2 isic2
replace isic2 = int(isic2/10)
label var isic2 "ISIC (Rev.2) 3-digit sector"
qui do "braxpmkt/conc/unido-isic2.do"
label define isic2 999 "Unclassified", modify
label values isic2 isic2
rename hs6 hs6dgt
label var hs6dgt "Harmonized System 6-digit code"
qui do "braxpmkt/conc/hs6dgt.do"
label values hs6dgt hs6dgt

sort hs6dgt isic2
save "braxpmkt/conc/hs2isic.dta", replace

log close
cd "$home"
