*! version 1.0.2  07apr2007  by Marc Muendler     muendler@ucsd.edu

* http://www.macalester.edu/research/economics/page/haveman/Trade.Resources/Verbal.Desc/HS/hs97.6.txt

version 8.2
set more off
set virtual on
clear
set mem 100m
set trace off

cd "$root"

capture log close
log using "braxpmkt/logs/prep-harmonized-system-6dgt.log", replace

capture program drop mklbl
program define mklbl
  local var = "`1'"
  local lblname = "`2'"
  * qui replace `var' = lower(`var')
  local num = _N
  * Shorten label names
  local lblname = substr("`lblname'",1,8)
  * English labels
  forvalues i = 1/`num' {
    local lblnum = `2'[`i']
    local lblstr = `1'[`i']
    label define `lblname' `lblnum' "`lblstr'", modify
    }
  label values `2' `lblname'
  label list `lblname'
  label save `lblname' using "braxpmkt/conc/`lblname'", replace
end

infix using "braxpmkt/conc/hs97.6.dct", using("braxpmkt/conc/hs97.6.txt") clear
drop if hs6dgt==.
label var hs6dgt "Harmonized System 6-digit code"
label var hsdesc "Harmonized System description"
replace hsdesc = substr(hsdesc,1,1) + lower(substr(hsdesc,2,.))

mklbl hsdesc hs6dgt

log close
cd "$home"
