version 8.2
set logtype text

clear
set mem 500m

capture log close
log using "braxpmkt/logs/cnpj-cnae.log", replace

forvalues year=1995/2001 {
tempfile cnae`year'

// CNPJ_RADIC firms
forvalues i=1/10 {
  tempfile cnpj`i'
  local file = "aggcnpj_" + lower(char(64+`i'))
  use cnpj_radic ano mod_clas_cnae_95 if ano==`year' using "rais/base-agg/cnpjradic/`file'", clear
  drop ano
  save `cnpj`i''
  }
use `cnpj1'
forvalues i=2/10 {
  append using `cnpj`i''
  }
format cnpj_radic %8.0f
sort cnpj_radic
save `cnae`year''

}

use `cnae2000'
foreach year in 2001 1999 1998 1997 1996 1995 {
  sort cnpj_radic
  merge cnpj_radic using `cnae`year'', update
  tab _m
  drop _m
  }

rename cnpj_radic firmid
label var firmid "Firm Tax Number (CGC)"
sort firmid

save "braxpmkt/secex/rais-cnpj-cnae", replace

log close
