*! version 1.0.3  25aug2007  by Marc Muendler     muendler@ucsd.edu

version 8.2
set logtype text

clear
set mem 500m

capture log close
log using "braxpmkt/logs/rais-cnpj-cnae.log", replace

forvalues year=1995/2001 {
tempfile cnae`year'

// CNPJ_RADIC firms
* note: final education definitions include dropouts 
*       (missing education information implicitly assigned to primary schooling; occurs in 3.3% of cnpjradic for aggcnpj_a)
*       (missing occupation information unassigned; occurs in 9.7% of cnpjradic for aggcnpj_a)
forvalues i=1/10 {
  tempfile cnpj`i'
  local file = "aggcnpj_" + lower(char(64+`i'))
  use cnpj_radic ano mod_clas_cnae_95 n_pis rem_dezembro n_cnpj_estbl n_municipio indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb if ano==`year' using "rais/base-agg/cnpjradic/`file'", clear
  egen indcoll = rsum(indscoll indgrad)
  label var indcoll "Share: College education"
  egen indwh = rsum(indprof indtech indwhit)
  label var indwh "Share: White collar"
  egen indbl = rsum(indsklb indunsklb)
  label var indbl "Share: Blue collar"
  drop indscoll indgrad indprof indtech indwhit indsklb indunsklb
  drop ano
  save `cnpj`i''
  }
use `cnpj1'
forvalues i=2/10 {
  append using `cnpj`i''
  }
format cnpj_radic %8.0f
sort cnpj_radic
save `cnae`year''
}

use `cnae2000'
foreach year in 2001 1999 1998 1997 1996 1995 {
  sort cnpj_radic
  merge cnpj_radic using `cnae`year'', update
  tab _m
  drop _m
  }
rename cnpj_radic firmid
label var firmid "Firm Tax Number (CGC)"
order firmid mod_clas_cnae_95 n_cnpj_estbl n_municipio n_pis indhigh indcoll indwh indbl rem_dezembro 
sort firmid
save "braxpmkt/secex/rais-cnpj-cnae-2000", replace

use `cnae2001'
foreach year in 2000 1999 1998 1997 1996 1995 {
  sort cnpj_radic
  merge cnpj_radic using `cnae`year'', update
  tab _m
  drop _m
  }
rename cnpj_radic firmid
label var firmid "Firm Tax Number (CGC)"
order firmid mod_clas_cnae_95 n_cnpj_estbl n_municipio n_pis indhigh indcoll indwh indbl rem_dezembro 
sort firmid
save "braxpmkt/secex/rais-cnpj-cnae-2001", replace

log close

