*! version 1.0  11jan2011  by Marc Muendler     muendler@ucsd.edu

global inpath "braxpmkt/ext" // input directory

use "braxpmkt/secex/firms-2000.dta", clear
gen int year = 2000
label var year "Calendar year"
rename wtfkey destid
label var destid "Destination ID"
gen _hs2dgt = int(hs6dgt/10000)
egen _expvalue = sum(value), by(hs6dgt firmid)
egen _maxval = max(_expvalue), by(firmid)
gen _secmax = _hs2dgt if _maxval==_expvalue
egen sectorid = min(_secmax), by(firmid)  // if tie: low sec
label var sectorid "Sector ID"
drop quantity mass _hs2dgt _*
order firmid year sectorid destid hs6dgt value
compress
save "$inpath/outside-testdata.dta", replace

use "braxpmkt/conc/hs2isic.dta", clear
save "$inpath/hs2isic.dta", replace
