*! version 1.0.1  09jun2012  by Marc Muendler  muendler@ucsd.edu

version 8.2
set more off
set virtual on
clear
set mem 650m
set matsize 800
set trace off

cd "$root"

capture mkdir "braxpmkt/matlab/smm"

capture log close
log using "braxpmkt/logs/prep-expprod-4matlab.log", replace


// PRODUCT SALES BY SECTOR AND REGION

local sec "manf-firms"
*foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {

use firmid wtfkey currnum value using "braxpmkt/secex/expprod-`sec'", clear
order firmid wtfkey currnum

* running number of firms and destinations
egen _firm = group(firmid)
egen _wtf = group(wtfkey)
preserve
  keep _firm firmid
  bysort firmid: keep if _n==1
  order _firm firmid
  outsheet using "braxpmkt/matlab/smm/_frmlist.csv", comma replace
restore, preserve
  keep _wtf wtfkey
  bysort wtfkey: keep if _n==1
  order _wtf wtfkey
  outsheet using "braxpmkt/matlab/smm/_wtflist.csv", comma replace
restore

qui summ _wtf
local maxwtf = `r(max)'
summ currnum
local maxrank = `r(max)'
fillin _wtf currnum
preserve
forvalues g = 1/`maxrank' {
  restore, preserve
  keep if currnum == `g'
  keep _firm _wtf value
  reshape wide value, i(_firm) j(_wtf)
  if `g'==1 {
    qui egen _chk = rsum(value*)
    qui count if _chk==0
    if `r(N)'>0  STOP
    drop _chk
    }
  forvalues num = 1/`maxwtf' {
    rename value`num' wtf`num'
    qui replace wtf`num' = 0 if wtf`num'==.
    }
  outsheet using "braxpmkt/matlab/smm/g`g'.csv", nonames comma replace
  }
restore

*}  // close `sec' loop

log close
set more off
