//9th July 2007 Program Fixed Effects regressions //

use "braxpmkt/secex/prodsales-data-2000.dta",clear

//dummy for product
gen hs3dgt = int(hs6dgt/1000)
tab hs3dgt, gen(hs3dgt_)
STOP
compress hs3dgt wtfkey firmid

//dummy for country
tab wtfkey, gen(wtfkey_)

codebook firmid wtfkey hs3dgt

// All 3 fixed effects, product country and firm

log using "SAR/logs/xtreg.log", replace
xtreg value hs3dgt_1-hs3dgt_174 wtfkey_1-wtfkey_191, fe i(firmid)
log close


//Regression 2: This uses product and country FE and controls for the 
//ommitted firm FE. 
//The controls included are:

areg value hs3dgt_1-hs3dgt_174 quantity mass, absorb(wtfkey)

log using Reg2, replace
xtreg value hs3dgt_1-hs3dgt_174 quantity mass, fe i(wtfkey)
log close
//Regression 3: This uses product and firm FE and controls for the 
//ommitted country FE.
//The controls included are:

#delimit;
areg value hs3dgt_1-hs3dgt_174 wtf_exports wtf_imports wtf_brazexp wtf_output 
population gdp_usd gdp_cap_usd consum_expend_usd hh_consum_expend_usd 
indoecd90 indoecd00 distcit distw dis_int lndist contig comlang_off 
avg_comlang_off, absorb(firmid);
#delimit cr

log using Reg3, replace
#delimit;
xtreg value hs3dgt_1-hs3dgt_174 wtf_exports wtf_imports wtf_brazexp wtf_output 
population gdp_usd gdp_cap_usd consum_expend_usd hh_consum_expend_usd 
indoecd90 indoecd00 distcit distw dis_int lndist contig comlang_off 
avg_comlang_off, fe i(firmid);
#delimit cr
log close


//Regression 4: This uses country and firm FE and controls for the 
//ommitted product FE
//The controls included are:

#delimit;
areg value wtfkey_1-wtfkey_191 cnae isic2 wtf_exports wtf_imports 
wtf_brazexp wtf_output, absorb(firmid);
#delimit cr

log using Reg4, replace
#delimit;
xtreg value wtfkey_1-wtfkey_191 cnae isic2 wtf_exports wtf_imports 
wtf_brazexp wtf_output, fe i(firmid);
#delimit cr
log close
//////////////////////////////////////////////////////////////////////////////////////




ssssssssss


/*
tab firmid, gen(id_)
reg value id_* wtfkey
*/

//creating country dummies//

tab wtfkey, gen(country_)

//creating product dummies//

gen hs3dgt = int(hs6dgt/1000)
tab hs3dgt, gen(product_)



areg value country_* product_*, a(firmid)

xtreg value country_* product_*, fe i(firmid)



