*! version 1.1  11may2014  by Marc Muendler     muendler@ucsd.edu

version 8.2
set more off
set virtual on
clear
set mem 100m
set trace off

cd "$root"

capture log close
log using "braxpmkt/logs/expshare-struct.log", replace

tempfile rais
use firmid mod_clas_cnae_95 n_pis using "braxpmkt/secex/rais-cnpj-cnae-2000.dta", clear
* this file contains the universe of RAIS firms in 2000
rename mod_clas_cnae_95 cnae
drop if cnae==.
drop if n_pis==. | n_pis<1
sort firmid
save `rais'

use "braxpmkt/secex/prodsales-rais-2000-struct-ncm8.dta", clear
* this file contains manufacturing firms (smpl "manf-firms") and commercial firms (smpl "comrc-firms")
* the smpl restrictions (from "braxpmkt/secex/expprod-`sec'.dta" via %03desc-stats/prodsales-graphs.do) are:
* "manf-firms":  keep if cnae>=15000 & cnae<=36999 & isic2>=300 & isic2<=399   // manufacturing firms and products
* "comrc-firms": keep if cnae>=50000 & cnae<=52999 & isic2>=300 & isic2<=399   // retail/wholesale firms and manufacturing products
* note: the isic2 restrictions are based on hs6dgt
sort firmid
drop if value==. | value==0
drop value
bysort firmid subsmpl: keep if _n==1
duplicates tag firmid, gen(_dupl)
qui count if _dupl>0
if `r(N)'>0  STOP
drop _dupl
sort firmid
merge firmid using `rais'
tab _m
replace _m = _m - 2
rename _m indexp
label var indexp "Indic.: Exporter of manufactured products"
gen cnae2dgt = int(cnae/1000) if cnae~=-1 & cnae~=.
label var cnae2dgt "CNAE main sector 2-digits (annual mode)"
replace subsmpl = "manf-firms" if cnae>=15000 & cnae<=36999 
replace subsmpl = "comrc-firms" if cnae>=50000 & cnae<=52999 
tab indexp subsmpl

use firmid subsmpl value using "braxpmkt/secex/prodsales-rais-2000-struct.dta", clear
* this file contains manufacturing firms (smpl "manf-firms") and commercial firms (smpl "comrc-firms")
* the smpl restrictions (from "braxpmkt/secex/expprod-`sec'.dta" via %03desc-stats/prodsales-graphs.do) are:
* "manf-firms":  keep if cnae>=15000 & cnae<=36999 & isic2>=300 & isic2<=399   // manufacturing firms and products
* "comrc-firms": keep if cnae>=50000 & cnae<=52999 & isic2>=300 & isic2<=399   // retail/wholesale firms and manufacturing products
* note: the isic2 restrictions are based on hs6dgt
sort firmid
drop if value==. | value==0
drop value
bysort firmid subsmpl: keep if _n==1
duplicates tag firmid, gen(_dupl)
qui count if _dupl>0
if `r(N)'>0  STOP
drop _dupl
sort firmid
merge firmid using `rais'
tab _m
replace _m = _m - 2
rename _m indexp
label var indexp "Indic.: Exporter of manufactured products"
gen cnae2dgt = int(cnae/1000) if cnae~=-1 & cnae~=.
label var cnae2dgt "CNAE main sector 2-digits (annual mode)"
replace subsmpl = "manf-firms" if cnae>=15000 & cnae<=36999 
replace subsmpl = "comrc-firms" if cnae>=50000 & cnae<=52999 

tab indexp subsmpl
tab indexp subsmpl if n_pis>=10 & n_pis~=.
tab indexp subsmpl if n_pis>=20 & n_pis~=.
tab cnae2dgt if subsmpl=="manf-firms" & indexp==0
tab cnae2dgt if subsmpl=="manf-firms" & indexp==1
table cnae2dgt subsmpl, contents(mean indexp) row
table cnae2dgt subsmpl if n_pis>=10 & n_pis~=., contents(mean indexp) row
table cnae2dgt subsmpl if n_pis>=20 & n_pis~=., contents(mean indexp) row

log close
cd "$home"
