*! version 1.0.4  25feb2009  by Marc Muendler     muendler@ucsd.edu
*! version 1.1.1  25jul2009  by Marc Muendler     muendler@ucsd.edu
*! version 1.1.2  14aug2009  by Marc Muendler     muendler@ucsd.edu
*! version 1.2.4  28apr2010  by Marc Muendler     muendler@ucsd.edu
*! version 1.2.6  19jul2010  by Marc Muendler     muendler@ucsd.edu
*! version 1.3.1  09aug2010  by Marc Muendler     muendler@ucsd.edu  (\alpha and \delta as in discrete model) 
*! version 1.3.2  04oct2010  by Marc Muendler     muendler@ucsd.edu  (\alpha and \delta as in discrete model) 
*! version 1.3.6  06may2011  by Marc Muendler     muendler@ucsd.edu
*! version 1.3.7  05jul2011  by Marc Muendler     muendler@ucsd.edu
*! version 1.4.1  06nov2015  by Marc Muendler     muendler@ucsd.edu

version 8.2
set more off
set virtual on
clear
set mem 100m
set trace off
set matsize 800

cd "$root"

capture log close
log using "braxpmkt/logs/tex-tables-paper.log", replace

capture mkdir "braxpmkt/tex/paper"

est2extlbl, addto(relstats_paper) intex(braxpmkt/%stata/rowlbl-braxpmkt) p(braxpmkt/tex/paper) replace
est2extlbl, addto(relstats_aea) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(relstats_submit) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(relstats_qje) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(relstats_brcl) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(relstats_ncm8) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(pareto_wcpctl) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(lnscope_pctl) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(scalscop_paper) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(scalscop_short) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(scalscop_long) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(xtwtf) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(xths2) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprod_paper) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprod_aea) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprod_ces) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprod_ces_ge100) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprodnl_paper) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprodintgi) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprodintgi_qje) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprodintg) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprodintg_ge100) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprdintgnlr) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprdintgnlr_ge100) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprodint_restud) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprdnofdi_restud) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprodint_ncm8) retain p(braxpmkt/tex/paper) replace
est2extlbl, addto(expprdnofdi_ncm8) retain p(braxpmkt/tex/paper) replace


* RELEVANCE STATISTICS

matload relstats_draft_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename relstats_draft_tbl br_relstats_draft
mat coleq br_relstats_draft = brazil:
matload relstats_draft_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
mat rename relstats_draft_tbl cl_relstats_draft
mat coleq cl_relstats_draft = chile:
mat relstats_brcl_tbl = br_relstats_draft , cl_relstats_draft
matorder relstats_brcl_tbl, m(relstats_brcl_tbl) ifc(brazil:usa brazil:argentina brazil:world chile:usa chile:argentina chile:world) over
mat drop br_relstats_draft cl_relstats_draft
est2tex relstats_brcl, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(3)

matload relstats_draft_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename relstats_draft_tbl br_relstats_draft
mat coleq br_relstats_draft = brazil:
matload relstats_draft_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
mat rename relstats_draft_tbl cl_relstats_draft
mat coleq cl_relstats_draft = chile:
mat relstats_paper_tbl = br_relstats_draft , cl_relstats_draft
matorder relstats_paper_tbl, m(relstats_paper_tbl) ifc(brazil:usa brazil:argentina brazil:oecd90 brazil:nonoecd90 brazil:world chile:world) over
mat drop br_relstats_draft cl_relstats_draft
est2tex relstats_paper, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(5)

matload relstats_draft_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename relstats_draft_tbl br_relstats_aea
mat coleq br_relstats_aea = brazil:
matload relstats_draft_tbl, p(braxpmkt/tex/comrc-firms) over dropall missing(.)
mat rename relstats_draft_tbl brcmrc_relstats_aea
mat coleq brcmrc_relstats_aea = brcomrc:
matload relstats_draft_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
mat rename relstats_draft_tbl cl_relstats_aea
mat coleq cl_relstats_aea = chile:
mat relstats_paper_tbl = br_relstats_aea , brcmrc_relstats_aea , cl_relstats_aea
matorder relstats_paper_tbl, m(relstats_aea_tbl) ifc(brazil:usa brazil:argentina brazil:oecd90 brazil:world chile:world brcomrc:world ) over
mat drop br_relstats_aea cl_relstats_aea brcmrc_relstats_aea
est2tex relstats_aea, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(4 5)

matload relstats_draft_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename relstats_draft_tbl br_relstats_submit
mat coleq br_relstats_submit = brazil:
matload relstats_draft_tbl, p(braxpmkt/tex/comrc-firms) over dropall missing(.)
mat rename relstats_draft_tbl brcmrc_relstats_submit
mat coleq brcmrc_relstats_submit = brcomrc:
mat relstats_submit_tbl = br_relstats_submit , brcmrc_relstats_submit
matorder relstats_submit_tbl, m(relstats_submit_tbl) ifc(brazil:usa brazil:argentina brazil:oecd90 brazil:nonoecd90 brazil:world brcomrc:world) over
matorder relstats_submit_tbl, m(relstats_qje_tbl) ifc(brazil:usa brazil:argentina brazil:oecd90 brazil:nonoecd90 brazil:world) over
mat drop br_relstats_submit brcmrc_relstats_submit
est2tex relstats_submit, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(5)
est2tex relstats_qje, ready fancy p(braxpmkt/tex/paper) replace dropall

matload relstats_draft_tbl, p(braxpmkt/tex/manf-firms-ncm8) over dropall missing(.)
mat rename relstats_draft_tbl br_relstats_submit
mat coleq br_relstats_submit = brazil:
matload relstats_draft_tbl, p(braxpmkt/tex/comrc-firms-ncm8) over dropall missing(.)
mat rename relstats_draft_tbl brcmrc_relstats_submit
mat coleq brcmrc_relstats_submit = brcomrc:
mat relstats_submit_tbl = br_relstats_submit , brcmrc_relstats_submit
matorder relstats_submit_tbl, m(relstats_ncm8_tbl) ifc(brazil:usa brazil:argentina brazil:world brcomrc:world) over
mat drop br_relstats_submit brcmrc_relstats_submit
est2tex relstats_ncm8, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(3)

* PARETO GRAPH REGRESSIONS FOR PAPER

matload pareto_wcpctl_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename pareto_wcpctl_tbl br_pareto_wcpctl
mat coleq br_pareto_wcpctl = brazil:
matload pareto_wcpctl_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
mat rename pareto_wcpctl_tbl cl_pareto_wcpctl
mat coleq cl_pareto_wcpctl = chile:
mat pareto_wcpctl_tbl = br_pareto_wcpctl , cl_pareto_wcpctl
matorder pareto_wcpctl_tbl, m(pareto_wcpctl_tbl) ifc(brazil:usa brazil:argentina brazil:world chile:usa chile:argentina chile:world) over
mat drop br_pareto_wcpctl cl_pareto_wcpctl
est2tex pareto_wcpctl, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(3)


* TOTAL-EXPORTS PERCENTILE AND SCOPE-PERCENTILE REGRESSION TABLES

matload lnscope_pctl_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename lnscope_pctl_tbl br_lnscope_pctl
mat coleq br_lnscope_pctl = brazil:
matload lnscope_pctl_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
mat rename lnscope_pctl_tbl cl_lnscope_pctl
mat coleq cl_lnscope_pctl = chile:
mat lnscope_pctl_tbl = br_lnscope_pctl , cl_lnscope_pctl
matorder lnscope_pctl_tbl, m(lnscope_pctl_tbl) ifc(brazil:ols brazil:xtwtf brazil:xtfirm brazil:xtwtffirm chile:ols chile:xtwtf chile:xtfirm chile:xtwtffirm) over
mat drop br_lnscope_pctl cl_lnscope_pctl
est2tex lnscope_pctl, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(4)


* SCALE-SCOPE FIXED-EFFECT REGRESSION TABLES

matload scalscop_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
matorder scalscop_tbl, m(br_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq br_scalscop = brazil_world:
matload scalscop_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
matorder scalscop_tbl, m(cl_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq cl_scalscop = chile_world:
matload scalscop_tbl, p(braxpmkt/tex/comrc-firms) over dropall missing(.)
matorder scalscop_tbl, m(brcomrc_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq brcomrc_scalscop = brazil_comrc_world:
mat scalscop_paper_tbl = br_scalscop \ cl_scalscop \ brcomrc_scalscop
mat drop scalscop_tbl br_scalscop cl_scalscop brcomrc_scalscop
est2tex scalscop_paper, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(4)

matload frm_scalscop_world_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matrix coleq frm_scalscop_world_tbl = frm
matload frmdst_scalscop_world_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matrix coleq frmdst_scalscop_world_tbl = frmdst
mat scalscop_world_tbl = frm_scalscop_world_tbl , frmdst_scalscop_world_tbl
mat drop frm_scalscop_world_tbl frmdst_scalscop_world_tbl
matorder scalscop_world_tbl, m(scalscop_world_tbl) over ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_world_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_world_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_world_tbl = world:
matorder scalscop_world_tbl, m(br_scalscop) ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
matorder br_scalscop, m(br_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq br_scalscop = brazil_world:
matload frm_scalscop_world_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matrix coleq frm_scalscop_world_tbl = frm
matload frmdst_scalscop_world_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matrix coleq frmdst_scalscop_world_tbl = frmdst
mat scalscop_world_tbl = frm_scalscop_world_tbl , frmdst_scalscop_world_tbl
mat drop frm_scalscop_world_tbl frmdst_scalscop_world_tbl
matorder scalscop_world_tbl, m(scalscop_world_tbl) over ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfisic2 frmdst:xtwtffirm)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_world_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_world_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_world_tbl = world:
matorder scalscop_world_tbl, m(cl_scalscop) ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfisic2 frmdst:xtwtffirm)
matorder cl_scalscop, m(cl_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq cl_scalscop = chile_world:
mat scalscop_short_tbl = br_scalscop \ cl_scalscop
mat drop br_scalscop cl_scalscop
est2tex scalscop_short, ready fancy p(braxpmkt/tex/paper) replace dropall

matload frm_scalscop_world_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matrix coleq frm_scalscop_world_tbl = frm
matload frmdst_scalscop_world_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matrix coleq frmdst_scalscop_world_tbl = frmdst
mat scalscop_world_tbl = frm_scalscop_world_tbl , frmdst_scalscop_world_tbl
mat drop frm_scalscop_world_tbl frmdst_scalscop_world_tbl
matorder scalscop_world_tbl, m(scalscop_world_tbl) over ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_world_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_world_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_world_tbl = world:
matorder scalscop_world_tbl, m(br_scalscop) ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
matorder br_scalscop, m(br_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq br_scalscop = brazil_world:
matload frm_scalscop_world_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matrix coleq frm_scalscop_world_tbl = frm
matload frmdst_scalscop_world_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matrix coleq frmdst_scalscop_world_tbl = frmdst
mat scalscop_world_tbl = frm_scalscop_world_tbl , frmdst_scalscop_world_tbl
mat drop frm_scalscop_world_tbl frmdst_scalscop_world_tbl
matorder scalscop_world_tbl, m(scalscop_world_tbl) over ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfisic2 frmdst:xtwtffirm)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_world_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_world_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_world_tbl = world:
matorder scalscop_world_tbl, m(cl_scalscop) ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfisic2 frmdst:xtwtffirm)
matorder cl_scalscop, m(cl_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq cl_scalscop = chile_world:
matload frm_scalscop_world_tbl, p(braxpmkt/estmat/comrc-firms) over dropall missing(.)
matrix coleq frm_scalscop_world_tbl = frm
matload frmdst_scalscop_world_tbl, p(braxpmkt/estmat/comrc-firms) over dropall missing(.)
matrix coleq frmdst_scalscop_world_tbl = frmdst
mat scalscop_world_tbl = frm_scalscop_world_tbl , frmdst_scalscop_world_tbl
mat drop frm_scalscop_world_tbl frmdst_scalscop_world_tbl
matorder scalscop_world_tbl, m(scalscop_world_tbl) over ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_world_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_world_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_world_tbl = world:
matorder scalscop_world_tbl, m(brcomrc_scalscop) ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
matorder brcomrc_scalscop, m(brcomrc_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq brcomrc_scalscop = brazil_comrc_world:
matload frm_scalscop_world_tbl, p(braxpmkt/estmat/srvc-firms) over dropall missing(.)
matrix coleq frm_scalscop_world_tbl = frm
matload frmdst_scalscop_world_tbl, p(braxpmkt/estmat/srvc-firms) over dropall missing(.)
matrix coleq frmdst_scalscop_world_tbl = frmdst
mat scalscop_world_tbl = frm_scalscop_world_tbl , frmdst_scalscop_world_tbl
mat drop frm_scalscop_world_tbl frmdst_scalscop_world_tbl
matorder scalscop_world_tbl, m(scalscop_world_tbl) over ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_world_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_world_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_world_tbl = world:
matorder scalscop_world_tbl, m(brsrvc_scalscop) ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdst:xtwtffirm)
matorder brsrvc_scalscop, m(brsrvc_scalscop) ifr(world:lngoods world:_se world:_cons world:_se world:e(N) world:e(N_g) world:e(r2) world:e(r2_w) world:e(r2_b) world:e(r2_o) world:e(g_min) world:e(g_avg) world:e(g_max) world:e(corr) world:e(sigma_u) world:e(sigma_e) world:e(rho) world:e(df_a) world:e(df_r) world:e(F_f) world:r(rho-ui)) over
mat roweq brsrvc_scalscop = brazil_srvc_world:
mat scalscop_long_tbl = br_scalscop \ cl_scalscop \ brcomrc_scalscop \ brsrvc_scalscop
mat drop br_scalscop cl_scalscop brcomrc_scalscop brsrvc_scalscop
est2tex scalscop_long, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(5)


* PREDICTORS OF DESTINATION AND PRODUCT EFFECTS IN SCALE AND SCOPE

matload xtwtf_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename xtwtf_tbl br_xtwtf
matorder br_xtwtf, m(br_xtwtf) ifc(scale_xtfrm_condl_lngoods scope_xtfrm_condl_lngsales) over
mat colnames br_xtwtf = scale_xtfrm_lngoods scope_xtfrm_lngsales
mat coleq br_xtwtf = brazil:
matload xtwtf_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
mat rename xtwtf_tbl cl_xtwtf
matorder cl_xtwtf, m(cl_xtwtf) ifc(scale_xtfrm_condl_lngoods scope_xtfrm_condl_lngsales) over
mat colnames cl_xtwtf = scale_xtfrm_lngoods scope_xtfrm_lngsales
mat coleq cl_xtwtf = chile:
mat xtwtf_tbl = br_xtwtf , cl_xtwtf
mat drop br_xtwtf cl_xtwtf
est2tex xtwtf, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(2)

matload xths2_tbl, p(braxpmkt/tex/manf-firms) over dropall missing(.)
mat rename xths2_tbl br_xths2
matorder br_xths2, m(br_xths2) ifc(scale_xtwtffirm_condl_lngoods scope_xtwtffirm_condl_lngsales) over
mat colnames br_xths2 = scale_xtwtffrm_lngoods scope_xtwtffrm_lngsales
mat coleq br_xths2 = brazil:
matload xths2_tbl, p(braxpmkt/tex/chile-manffrms) over dropall missing(.)
mat rename xths2_tbl cl_xths2
matorder cl_xths2, m(cl_xths2) ifc(scale_xtwtffirm_condl_lngoods scope_xtwtffirm_condl_lngsales) over
mat colnames cl_xths2 = scale_xtwtffrm_lngoods scope_xtwtffrm_lngsales
mat coleq cl_xths2 = chile:
mat xths2_tbl = br_xths2 , cl_xths2
mat drop br_xths2 cl_xths2
est2tex xths2, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(2)


* INDIVIDUAL EXPORTER SCALE REGRESSIONS

* expprod_paper
matload expprod_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matorder expprod_tbl, m(br_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder br_expprod, m(br_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfcnae_long rawdata_fewtffirm_goods) over
local colnames : colfullnames br_expprod
local cols = colsof(br_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = br_expprod[rownumb(br_expprod,"lngoods"),"``j''"] + br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat br_expprod = br_expprod \ delta
mat drop delta
mat roweq br_expprod = brazil:
matload expprod_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matorder expprod_tbl, m(cl_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matins cl_expprod, m(cl_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfhssec_long rawdata_fewtffirm_goods) over
local colnames : colfullnames cl_expprod
local cols = colsof(cl_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = cl_expprod[rownumb(cl_expprod,"lngoods"),"``j''"] + cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat cl_expprod = cl_expprod \ delta
mat drop delta
mat roweq cl_expprod = chile:
mat expprod_paper_tbl = br_expprod \ cl_expprod
mat drop expprod_tbl br_expprod cl_expprod
est2tex expprod_paper, ready fancy p(braxpmkt/tex/paper) replace dropall

* expprod_aea
matload expprod_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matorder expprod_tbl, m(br_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder br_expprod, m(br_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfcnae_long rawdata_fewtffirm_goods) over
local colnames : colfullnames br_expprod
local cols = colsof(br_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = br_expprod[rownumb(br_expprod,"lngoods"),"``j''"] + br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat br_expprod = br_expprod \ delta
mat drop delta
mat roweq br_expprod = brazil:
matload expprod_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matorder expprod_tbl, m(cl_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matins cl_expprod, m(cl_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfhssec_long rawdata_fewtffirm_goods) over
local colnames : colfullnames cl_expprod
local cols = colsof(cl_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = cl_expprod[rownumb(cl_expprod,"lngoods"),"``j''"] + cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat cl_expprod = cl_expprod \ delta
mat drop delta
mat roweq cl_expprod = chile:
matload expprod_tbl, p(braxpmkt/estmat/comrc-firms) over dropall missing(.)
matorder expprod_tbl, m(brcmrc_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder brcmrc_expprod, m(brcmrc_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfcnae_long rawdata_fewtffirm_goods) over
local colnames : colfullnames brcmrc_expprod
local cols = colsof(brcmrc_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = brcmrc_expprod[rownumb(brcmrc_expprod,"lngoods"),"``j''"] + brcmrc_expprod[rownumb(brcmrc_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - brcmrc_expprod[rownumb(brcmrc_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat brcmrc_expprod = brcmrc_expprod \ delta
mat drop delta
mat roweq brcmrc_expprod = brcmrc:
mat expprod_aea_tbl = br_expprod \ cl_expprod \ brcmrc_expprod
mat drop expprod_tbl br_expprod cl_expprod brcmrc_expprod
est2tex expprod_aea, ready fancy p(braxpmkt/tex/paper) replace dropall

* expprod_ces
matload expprodextd_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matorder expprodextd_tbl, m(br_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder br_expprod, m(br_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfcnae_long rawdata_fewtffirm_goods) over
local colnames : colfullnames br_expprod
local cols = colsof(br_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = br_expprod[rownumb(br_expprod,"lngoods"),"``j''"] + br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat br_expprod = br_expprod \ delta
mat drop delta
mat roweq br_expprod = brazil:
matload expprodextd_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matorder expprodextd_tbl, m(cl_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matins cl_expprod, m(cl_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfhssec_long rawdata_fewtffirm_goods) over
local colnames : colfullnames cl_expprod
local cols = colsof(cl_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = cl_expprod[rownumb(cl_expprod,"lngoods"),"``j''"] + cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat cl_expprod = cl_expprod \ delta
mat drop delta
mat roweq cl_expprod = chile:
matload expprodextd_tbl, p(braxpmkt/estmat/comrc-firms) over dropall missing(.)
matorder expprodextd_tbl, m(brcmrc_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder brcmrc_expprod, m(brcmrc_expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfcnae_long rawdata_fewtffirm_goods) over
local colnames : colfullnames brcmrc_expprod
local cols = colsof(brcmrc_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = brcmrc_expprod[rownumb(brcmrc_expprod,"lngoods"),"``j''"] + brcmrc_expprod[rownumb(brcmrc_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - brcmrc_expprod[rownumb(brcmrc_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat brcmrc_expprod = brcmrc_expprod \ delta
mat drop delta
mat roweq brcmrc_expprod = brcmrc:
mat expprod_ces_tbl = br_expprod \ cl_expprod \ brcmrc_expprod
mat drop expprodextd_tbl br_expprod cl_expprod brcmrc_expprod
est2tex expprod_ces, ready fancy p(braxpmkt/tex/paper) replace dropall

* expprod_ces_ge100
matload expprodextd_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matorder expprodextd_tbl, m(br_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder br_expprod, m(br_expprod) ifc(rawdata_ols_long_ge100 rawdata_fewtf_long_ge100 rawdata_fewtfcnae_long_ge100 rawdata_fewtffirm_goods_ge100) over
local colnames : colfullnames br_expprod
local cols = colsof(br_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = br_expprod[rownumb(br_expprod,"lngoods"),"``j''"] + br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - br_expprod[rownumb(br_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat br_expprod = br_expprod \ delta
mat drop delta
mat roweq br_expprod = brazil:
matload expprodextd_tbl, p(braxpmkt/estmat/chile-manffrms) over dropall missing(.)
matorder expprodextd_tbl, m(cl_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matins cl_expprod, m(cl_expprod) ifc(rawdata_ols_long_ge100 rawdata_fewtf_long_ge100 rawdata_fewtfhssec_long_ge100 rawdata_fewtffirm_goods_ge100) over
local colnames : colfullnames cl_expprod
local cols = colsof(cl_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = cl_expprod[rownumb(cl_expprod,"lngoods"),"``j''"] + cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - cl_expprod[rownumb(cl_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat cl_expprod = cl_expprod \ delta
mat drop delta
mat roweq cl_expprod = chile:
matload expprodextd_tbl, p(braxpmkt/estmat/comrc-firms) over dropall missing(.)
matorder expprodextd_tbl, m(brcmrc_expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder brcmrc_expprod, m(brcmrc_expprod) ifc(rawdata_ols_long_ge100 rawdata_fewtf_long_ge100 rawdata_fewtfcnae_long_ge100 rawdata_fewtffirm_goods_ge100) over
local colnames : colfullnames brcmrc_expprod
local cols = colsof(brcmrc_expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = brcmrc_expprod[rownumb(brcmrc_expprod,"lngoods"),"``j''"] + brcmrc_expprod[rownumb(brcmrc_expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - brcmrc_expprod[rownumb(brcmrc_expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat brcmrc_expprod = brcmrc_expprod \ delta
mat drop delta
mat roweq brcmrc_expprod = brcmrc:
mat expprod_ces_ge100_tbl = br_expprod \ cl_expprod \ brcmrc_expprod
mat drop expprodextd_tbl br_expprod cl_expprod brcmrc_expprod
est2tex expprod_ces_ge100, ready fancy p(braxpmkt/tex/paper) replace dropall


* NON-LINEAR INDIVIDUAL EXPORTER SCALE REGRESSIONS

foreach sec in "manf-firms" "chile-manffrms" "comrc-firms" {
  matload expprodextdnl_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
  if "`sec'"~="chile-manffrms"  matins expprodextdnl_tbl, m(expprodextdnl_tbl) ifc(rawdata_nl rawdata_nlfewtf rawdata_nlfewtfcnae rawdata_nl_ge100 rawdata_nlfewtf_ge100 rawdata_nlfewtfcnae_ge100) over
  else                          matins expprodextdnl_tbl, m(expprodextdnl_tbl) ifc(rawdata_nl rawdata_nlfewtf rawdata_nlfewtfhssec rawdata_nl_ge100 rawdata_nlfewtf_ge100 rawdata_nlfewtfhssec_ge100) over
  if "`sec'"=="manf-firms" { 
    mat rename expprodextdnl_tbl br_expprodextdnl
    mat roweq br_expprodextdnl = br:
    }
  if "`sec'"=="chile-manffrms" { 
    mat rename expprodextdnl_tbl cl_expprodextdnl
    mat roweq cl_expprodextdnl = cl:
    }
  if "`sec'"=="comrc-firms" { 
    mat rename expprodextdnl_tbl brcmrc_expprodextdnl
    mat roweq brcmrc_expprodextdnl = brcmrc:
    }
  } // close `sec' loop
mat expprodnl_paper_tbl = br_expprodextdnl \ cl_expprodextdnl \ brcmrc_expprodextdnl
mat drop br_expprodextdnl cl_expprodextdnl brcmrc_expprodextdnl
est2tex expprodnl_paper, ready fancy p(braxpmkt/tex/paper) extracols(3) replace dropall


* INDIVIDUAL EXPORTER SCALE REGRESSIONS, DISCRETE NUMBER OF GOODS

matload expprodextd_di_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprodextd_di_tbl, m(expprodintgi_tbl) ifc(raw_fecnae_long raw_fewtfcnae_long raw_fewtffirm_goods raw_fe2wtffirm_goods)
mat expprodintgi_tbl = expprodintgi_tbl[1..12,1...] \ expprodintgi_tbl[rownumb(expprodintgi_tbl,"_cons")...,1...]
mat drop expprodextd_di_tbl
est2tex expprodintgi, ready fancy p(braxpmkt/tex/paper) replace dropall

matload expprodextd_dibr_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprodextd_dibr_tbl, m(expprodintgi_qje_tbl) ifc(raw_fecnae_long raw_fewtfcnae_long raw_fewtffirm_goods raw_fe2wtffirm_goods)
mat expprodintgi_qje_tbl = expprodintgi_qje_tbl[1..4,1...] \ expprodintgi_qje_tbl[rownumb(expprodintgi_qje_tbl,"_cons")...,1...]
mat drop expprodextd_dibr_tbl
est2tex expprodintgi_qje, ready fancy p(braxpmkt/tex/paper) replace dropall

matload expprodextd_d_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprodextd_d_tbl, m(expprodintg_tbl) ifc(raw_ols_long raw_fewtf_long raw_fewtffirm_goods raw_fe2wtffirm_goods)
mat expprodintg_tbl = expprodintg_tbl[1..16,1...] \ expprodintg_tbl[369...,1...]
mat drop expprodextd_d_tbl
est2tex expprodintg, ready fancy p(braxpmkt/tex/paper) replace dropall

matload expprodextd_d_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprodextd_d_tbl, m(expprodintg_ge100_tbl) ifc(raw_ols_long_ge100 raw_fewtf_long_ge100 raw_fewtffirm_goods_ge100 raw_fe2wtffirm_goods_ge100)
mat expprodintg_ge100_tbl = expprodintg_ge100_tbl[1..16,1...] \ expprodintg_ge100_tbl[369...,1...]
mat drop expprodextd_d_tbl
est2tex expprodintg_ge100, ready fancy p(braxpmkt/tex/paper) replace dropall

matload expprodextd_strc_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprodextd_strc_tbl, m(expprodint_restud_tbl) ifc(xt_cnaeXwtf xt_cnaeXwtf_phipctl xt_cnaeXwtf_phiempl mx_wtf_rcnae_phipctl)
mat drop expprodextd_strc_tbl
est2tex expprodint_restud, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(3)

matload expprodextd_strc2d_tbl, p(braxpmkt/estmat/manf-firms) over dropall missing(.)
matorder expprodextd_strc2d_tbl, m(expprodint_aej_tbl) ifc(xtfirm_g1G2 xtfirm_g2G2 xtfirm_g1G16 xtfirm_g1G32)
mat drop expprodextd_strc2d_tbl
est2tex expprodint_aej, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(2)

matload expprdnofdi_strc_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprdnofdi_strc_tbl, m(expprdnofdi_restud_tbl) ifc(xt_cnaeXwtf xt_cnaeXwtf_phipctl xt_cnaeXwtf_phiempl mx_wtf_rcnae_phipctl)
mat drop expprdnofdi_strc_tbl
est2tex expprdnofdi_restud, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(3)

matload expprodextd_strc_tbl, p(braxpmkt/estmat/poolsec-ncm8) over dropall missing(.)
matorder expprodextd_strc_tbl, m(expprodint_ncm8_tbl) ifc(xt_cnaeXwtf xt_cnaeXwtf_phipctl xt_cnaeXwtf_phiempl mx_wtf_rcnae_phipctl)
mat drop expprodextd_strc_tbl
est2tex expprodint_ncm8, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(3)

matload expprdnofdi_strc_tbl, p(braxpmkt/estmat/poolsec-ncm8) over dropall missing(.)
matorder expprdnofdi_strc_tbl, m(expprdnofdi_ncm8_tbl) ifc(xt_cnaeXwtf xt_cnaeXwtf_phipctl xt_cnaeXwtf_phiempl mx_wtf_rcnae_phipctl)
mat drop expprdnofdi_strc_tbl
est2tex expprdnofdi_ncm8, ready fancy p(braxpmkt/tex/paper) replace dropall extracols(3)


* INDIVIDUAL EXPORTER SCALE REGRESSIONS, DISCRETE NUMBER OF GOODS, SECTOR-SPECIFIC DELTA AND ALPHA

qui do "braxpmkt/conc/isic2.do"
label save isic2 using "braxpmkt/tex/paper/isic2", replace

matload expprodisic_dibr_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprodisic_dibr_tbl, m(expprodisic_delta) ifc(disic_fe2wtffirm_goods daisic_fe2wtffirm_goods)
matorder expprodisic_delta, m(expprodisic_delta) ifr(br311_lngoods br312_lngoods br313_lngoods br314_lngoods br321_lngoods br322_lngoods br323_lngoods br324_lngoods br331_lngoods br332_lngoods br341_lngoods br342_lngoods br351_lngoods br352_lngoods br353_lngoods br354_lngoods br355_lngoods br356_lngoods br361_lngoods br362_lngoods br369_lngoods br371_lngoods br372_lngoods br381_lngoods br382_lngoods br383_lngoods br384_lngoods br385_lngoods br390_lngoods)
local rows = rowsof(expprodisic_delta)
matorder expprodisic_dibr_tbl, m(expprodisic_acons) ifc(disic_fe2wtffirm_goods)
matorder expprodisic_acons, m(expprodisic_acons) ifr(br_lncurrnum)
mat expprodisic_acons = expprodisic_acons * J(`rows',1,1)
matorder expprodisic_dibr_tbl, m(expprodisic_alpha) ifc(daisic_fe2wtffirm_goods)
matorder expprodisic_alpha, m(expprodisic_alpha) ifr(br311_lncurrnum br312_lncurrnum br313_lncurrnum br314_lncurrnum br321_lncurrnum br322_lncurrnum br323_lncurrnum br324_lncurrnum br331_lncurrnum br332_lncurrnum br341_lncurrnum br342_lncurrnum br351_lncurrnum br352_lncurrnum br353_lncurrnum br354_lncurrnum br355_lncurrnum br356_lncurrnum br361_lncurrnum br362_lncurrnum br369_lncurrnum br371_lncurrnum br372_lncurrnum br381_lncurrnum br382_lncurrnum br383_lncurrnum br384_lncurrnum br385_lncurrnum br390_lncurrnum)
mat expprodisic_delta = expprodisic_delta + ( expprodisic_acons , J(`rows',1,0) ) // subtract constant \alpha
mat expprodisic_delta = expprodisic_delta + ( J(`rows',1,0) , expprodisic_alpha ) // subtract industry-specific \alpha
mat expprodisic_tbl = expprodisic_delta[1...,1] , -expprodisic_acons[1...,1] , expprodisic_delta[1...,2] , -expprodisic_alpha[1...,1]
matrix colnames expprodisic_tbl = delta alphasub delta alphasub
matrix coleq expprodisic_tbl = alphaconst alphaconst alphaisic alphaisic
local i 0
foreach isic in 311 312 313 314 321 322 323 324 331 332 341 342 351 352 353 354 355 356 361 362 369 371 372 381  382 383 384 385 390 {
  local i = `i' + 1
  matname expprodisic_tbl `isic', rows(`i') explicit
  }
est2tex expprodisic, replace dropall ready vallabel(isic2) p(braxpmkt/tex/paper) fancy digits(3) extracols(2)

matload expprodisic_strc_tbl, p(braxpmkt/estmat/poolsec) over dropall missing(.)
matorder expprodisic_strc_tbl, m(expprodisic_delta) ifc(disic_cnaeXwtf_phipctl daisic_cnaeXwtf_phipctl) over
matorder expprodisic_delta, m(expprodisic_delta) ifr(br311_lngoods br312_lngoods br313_lngoods br314_lngoods br321_lngoods br322_lngoods br323_lngoods br324_lngoods br331_lngoods br332_lngoods br341_lngoods br342_lngoods br351_lngoods br352_lngoods br353_lngoods br354_lngoods br355_lngoods br356_lngoods br361_lngoods br362_lngoods br369_lngoods br371_lngoods br372_lngoods br381_lngoods br382_lngoods br383_lngoods br384_lngoods br385_lngoods br390_lngoods)
local rows = rowsof(expprodisic_delta)
matorder expprodisic_strc_tbl, m(expprodisic_acons) ifc(disic_cnaeXwtf_phipctl) over
matorder expprodisic_acons, m(expprodisic_acons) ifr(br_lncurrnum)
mat expprodisic_acons = expprodisic_acons * J(`rows',1,1)
matorder expprodisic_strc_tbl, m(expprodisic_alpha) ifc(daisic_cnaeXwtf_phipctl) over
matorder expprodisic_alpha, m(expprodisic_alpha) ifr(br311_lncurrnum br312_lncurrnum br313_lncurrnum br314_lncurrnum br321_lncurrnum br322_lncurrnum br323_lncurrnum br324_lncurrnum br331_lncurrnum br332_lncurrnum br341_lncurrnum br342_lncurrnum br351_lncurrnum br352_lncurrnum br353_lncurrnum br354_lncurrnum br355_lncurrnum br356_lncurrnum br361_lncurrnum br362_lncurrnum br369_lncurrnum br371_lncurrnum br372_lncurrnum br381_lncurrnum br382_lncurrnum br383_lncurrnum br384_lncurrnum br385_lncurrnum br390_lncurrnum)
mat expprodisic_delta = expprodisic_delta + ( expprodisic_acons , J(`rows',1,0) ) // subtract constant \alpha
mat expprodisic_delta = expprodisic_delta + ( J(`rows',1,0) , expprodisic_alpha ) // subtract industry-specific \alpha
mat expprodisicstrc_tbl = expprodisic_delta[1...,1] , -expprodisic_acons[1...,1] , expprodisic_delta[1...,2] , -expprodisic_alpha[1...,1]
matrix colnames expprodisicstrc_tbl = delta alphasub delta alphasub
matrix coleq expprodisicstrc_tbl = alphaconst alphaconst alphaisic alphaisic
local i 0
foreach isic in 311 312 313 314 321 322 323 324 331 332 341 342 351 352 353 354 355 356 361 362 369 371 372 381  382 383 384 385 390 {
  local i = `i' + 1
  matname expprodisicstrc_tbl `isic', rows(`i') explicit
  }
est2tex expprodisicstrc, replace dropall ready vallabel(isic2) p(braxpmkt/tex/paper) fancy digits(3) extracols(2)


* NON-LINEAR FIRM-AVERAGE PRODUCT SCALE REGRESSIONS

foreach typ in "" "_ge100" {
 foreach sec in "manf-firms" "chile-manffrms" "comrc-firms" {
  matload expprdintgnlr_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
  matins expprdintgnlr_tbl, m(expprdintgnlr_tbl) ifc(tbys106_nlfewtf`typ' tbys128_nlfewtf`typ' tbys149_nlfewtf`typ') over
  if "`sec'"=="manf-firms" { 
    mat rename expprdintgnlr_tbl br_expprdintgnlr
    mat roweq br_expprdintgnlr = br:
    }
  if "`sec'"=="chile-manffrms" { 
    mat rename expprdintgnlr_tbl cl_expprdintgnlr
    mat roweq cl_expprdintgnlr = cl:
    }
  if "`sec'"=="comrc-firms" { 
    mat rename expprdintgnlr_tbl brcmrc_expprdintgnlr
    mat roweq brcmrc_expprdintgnlr = brcmrc:
    }
  } // close `sec' loop
 mat expprdintgnlr`typ'_tbl = br_expprdintgnlr \ cl_expprdintgnlr \ brcmrc_expprdintgnlr
 mat drop br_expprdintgnlr cl_expprdintgnlr brcmrc_expprdintgnlr
 est2tex expprdintgnlr`typ', ready fancy p(braxpmkt/tex/paper) replace dropall
 } // close `typ' loop

log close
cd "$root"
