*! version 1.0.4  24nov2007  by Marc Muendler     muendler@ucsd.edu
*! version 1.1.1  11jun2008  by Marc Muendler     muendler@ucsd.edu
*! version 1.2.1  21dec2008  by Marc Muendler     muendler@ucsd.edu
*! version 1.2.3  19may2010  by Marc Muendler     muendler@ucsd.edu
*! version 1.3.1  09aug2010  by Marc Muendler     muendler@ucsd.edu  (\alpha and \delta as in discrete model)
*! version 1.3.2  04may2011  by Marc Muendler     muendler@ucsd.edu
*! version 1.3.3  06jul2011  by Marc Muendler     muendler@ucsd.edu

version 8.2
set more off
set virtual on
clear
set mem 100m
set trace off
set matsize 800

cd "$root"

capture mkdir "braxpmkt/tex/allsec"
capture mkdir "braxpmkt/tex/manf-goods"
capture mkdir "braxpmkt/tex/manf-firms"
capture mkdir "braxpmkt/tex/srvc-firms"
capture mkdir "braxpmkt/tex/comrc-firms"
capture mkdir "braxpmkt/tex/manf-ekk"

capture log close
log using "braxpmkt/logs/tex-tables.log", replace

est2extlbl, addto(desc_allsec) intex(braxpmkt/%stata/rowlbl-braxpmkt) p(braxpmkt/tex/allsec) replace
est2extlbl, addto(desc_manf_goods) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(desc_manf_firms) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(relstats) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(relstats) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(relstats) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(relstats) retain p(braxpmkt/tex/srvc-firms) replace
est2extlbl, addto(relstats) retain p(braxpmkt/tex/comrc-firms) replace
est2extlbl, addto(relstats_draft) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(relstats_draft) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(relstats_draft) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(relstats_draft) retain p(braxpmkt/tex/srvc-firms) replace
est2extlbl, addto(relstats_draft) retain p(braxpmkt/tex/comrc-firms) replace
est2extlbl, addto(relstats) retain p(braxpmkt/tex/manf-firms-ncm8) replace
est2extlbl, addto(relstats) retain p(braxpmkt/tex/comrc-firms-ncm8) replace
est2extlbl, addto(relstats_draft) retain p(braxpmkt/tex/manf-firms-ncm8) replace
est2extlbl, addto(relstats_draft) retain p(braxpmkt/tex/comrc-firms-ncm8) replace
est2extlbl, addto(expminval) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(expminval) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(expminval) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(expminval) retain p(braxpmkt/tex/srvc-firms) replace
est2extlbl, addto(expminval) retain p(braxpmkt/tex/comrc-firms) replace
est2extlbl, addto(expminval) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(scalscop) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(scalscop) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(scalscop) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(scalscop) retain p(braxpmkt/tex/srvc-firms) replace
est2extlbl, addto(scalscop) retain p(braxpmkt/tex/comrc-firms) replace
est2extlbl, addto(scalscop_draft) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(scalscop_draft) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(scalscop_draft) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(scalscop_draft) retain p(braxpmkt/tex/srvc-firms) replace
est2extlbl, addto(scalscop_draft) retain p(braxpmkt/tex/comrc-firms) replace
est2extlbl, addto(scalscop_decmp) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(scalscop_decmp) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(scalscop_decmp) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(scalscop_decmp) retain p(braxpmkt/tex/srvc-firms) replace
est2extlbl, addto(scalscop_decmp) retain p(braxpmkt/tex/comrc-firms) replace
est2extlbl, addto(ekkscop_reg) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(ekkexts_reg) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(xtfrm) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(xtwtf) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(xths2) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(xtfrm) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(xtwtf) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(xths2) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(xtfrm) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(xtwtf) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(xths2) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(xtfrm) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(xtwtf) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(xths2) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(frmdst_fullspec) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(frmdst_fullspec) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(frmdst_fullspec) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(pcsales_corr) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(lnscope_pctl) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(xtwtf_lnscope_pctl) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(pcsales_corr) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(lnscope_pctl) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(xtwtf_lnscope_pctl) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(pcsales_corr) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(lnscope_pctl) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(xtwtf_lnscope_pctl) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(pcsales_corr) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(lnscope_pctl) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(xtwtf_lnscope_pctl) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(pareto_cpctl) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(pareto_wcpctl) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(expprod) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(expprod) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(expprod) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(expprod) retain p(braxpmkt/tex/manf-ekk) replace
est2extlbl, addto(expprod_nl) retain p(braxpmkt/tex/allsec) replace
est2extlbl, addto(expprod_nl) retain p(braxpmkt/tex/manf-goods) replace
est2extlbl, addto(expprod_nl) retain p(braxpmkt/tex/manf-firms) replace
est2extlbl, addto(expprod_nl) retain p(braxpmkt/tex/manf-ekk) replace


* RELEVANCE STATISTICS

foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {
  foreach region in "world" "mercosur" "oecd90" "nonoecd90" "usa" "argentina" {
    matload relstats_`region'_tbl, p(braxpmkt/tex/`sec') over dropall missing(.)
    }
  matload relstats_prelim_tbl, p(braxpmkt/tex/`sec') over dropall missing(.)
  mat relstats_prelim_tbl[1,colnumb(relstats_prelim_tbl,"nonoecd90")] = 1 - relstats_prelim_tbl[1,colnumb(relstats_prelim_tbl,"oecd90")]
  matorder relstats_prelim_tbl, m(relstats_prelim_tbl) over ifc(world mercosur oecd90 nonoecd90 usa argentina)
  mat relstats_tbl = relstats_world_tbl , relstats_mercosur_tbl , relstats_oecd90_tbl , relstats_nonoecd90_tbl , relstats_usa_tbl , relstats_argentina_tbl
  mat relstats_tbl = relstats_tbl \ relstats_prelim_tbl
  matorder relstats_tbl, m(relstats_tbl) over ifr(no_obs no_dest totexpsh no_firms pcsumsal_singlgood pcsumsal_multgood_1 pcsumsal_multgood_2plus median_sumsales median_scope median_gsales mean_sumsales mean_scope wmean_gsales no_varieties median_vartyvalue mean_vartyvalue)
  mat drop relstats_world_tbl relstats_mercosur_tbl relstats_oecd90_tbl relstats_nonoecd90_tbl relstats_usa_tbl relstats_argentina_tbl
  est2tex relstats, ready fancy p(braxpmkt/tex/`sec') replace dropall
  }
foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {
  foreach region in "usa" "argentina" "top20th" "oecd90" "nonoecd90" "world" {
    matload relstats_`region'_tbl, p(braxpmkt/tex/`sec') over dropall missing(.)
    }
  matload relstats_prelim_tbl, p(braxpmkt/tex/`sec') over dropall missing(.)
  mat relstats_prelim_tbl[1,colnumb(relstats_prelim_tbl,"nonoecd90")] = 1 - relstats_prelim_tbl[1,colnumb(relstats_prelim_tbl,"oecd90")]
  matorder relstats_prelim_tbl, m(relstats_prelim_tbl) over ifc(usa argentina top20th oecd90 nonoecd90 world)
  mat relstats_draft_tbl = relstats_usa_tbl , relstats_argentina_tbl , relstats_top20th_tbl, relstats_oecd90_tbl , relstats_nonoecd90_tbl , relstats_world_tbl
  mat relstats_draft_tbl = relstats_draft_tbl \ relstats_prelim_tbl
  matorder relstats_draft_tbl, m(relstats_draft_tbl) over ifr(no_obs no_dest no_firms totexpsh pcsumsal_singlgood pcsumsal_multgood_1 pcsumsal_multgood_2plus median_sumsales median_scope median_gsales mean_sumsales mean_scope wmean_gsales)
  mat drop relstats_world_tbl relstats_oecd90_tbl relstats_nonoecd90_tbl relstats_usa_tbl relstats_argentina_tbl relstats_top20th_tbl
  est2tex relstats_draft, ready fancy p(braxpmkt/tex/`sec') replace dropall
  }

foreach sec in "manf-firms" "comrc-firms" {
  foreach region in "world" "usa" "argentina" {
    matload relstats_`region'_tbl, p(braxpmkt/tex/`sec'-ncm8) over dropall missing(.)
    }
  matload relstats_prelim_tbl, p(braxpmkt/tex/`sec'-ncm8) over dropall missing(.)
  matorder relstats_prelim_tbl, m(relstats_prelim_tbl) over ifc(world usa argentina)
  mat relstats_tbl = relstats_world_tbl , relstats_usa_tbl , relstats_argentina_tbl
  mat relstats_tbl = relstats_tbl \ relstats_prelim_tbl
  matorder relstats_tbl, m(relstats_tbl) over ifr(no_obs no_dest totexpsh no_firms pcsumsal_singlgood pcsumsal_multgood_1 pcsumsal_multgood_2plus median_sumsales median_scope median_gsales mean_sumsales mean_scope wmean_gsales no_varieties median_vartyvalue mean_vartyvalue)
  mat drop relstats_world_tbl relstats_usa_tbl relstats_argentina_tbl
  est2tex relstats, ready fancy p(braxpmkt/tex/`sec'-ncm8) replace dropall
  }
foreach sec in "manf-firms" "comrc-firms" {
  foreach region in "usa" "argentina" "world" {
    matload relstats_`region'_tbl, p(braxpmkt/tex/`sec'-ncm8) over dropall missing(.)
    }
  matload relstats_prelim_tbl, p(braxpmkt/tex/`sec'-ncm8) over dropall missing(.)
  matorder relstats_prelim_tbl, m(relstats_prelim_tbl) over ifc(usa argentina world)
  mat relstats_draft_tbl = relstats_usa_tbl , relstats_argentina_tbl , relstats_world_tbl
  mat relstats_draft_tbl = relstats_draft_tbl \ relstats_prelim_tbl
  matorder relstats_draft_tbl, m(relstats_draft_tbl) over ifr(no_obs no_dest no_firms totexpsh pcsumsal_singlgood pcsumsal_multgood_1 pcsumsal_multgood_2plus median_sumsales median_scope median_gsales mean_sumsales mean_scope wmean_gsales)
  mat drop relstats_world_tbl relstats_usa_tbl relstats_argentina_tbl
  est2tex relstats_draft, ready fancy p(braxpmkt/tex/`sec'-ncm8) replace dropall
  }


* PRODUCT SCOPE DISTRIBUTIONS

foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {
  foreach region in "world" "mercosur" "oecd90" "nonoecd90" "usa" "argentina" {
    matload goods_pcgoods_`region'_tbl, p(braxpmkt/tex/`sec') over dropall missing(.)
    mat colnames goods_pcgoods_`region'_tbl = `region'
    }
  mat pcgoods_tbl = goods_pcgoods_world_tbl , goods_pcgoods_mercosur_tbl , goods_pcgoods_oecd90_tbl , goods_pcgoods_nonoecd90_tbl , goods_pcgoods_usa_tbl , goods_pcgoods_argentina_tbl
  mat drop goods_pcgoods_world_tbl goods_pcgoods_mercosur_tbl goods_pcgoods_oecd90_tbl goods_pcgoods_nonoecd90_tbl goods_pcgoods_usa_tbl goods_pcgoods_argentina_tbl
  est2tex pcgoods, ready fancy p(braxpmkt/tex/`sec') replace dropall
  matorder pcgoods_tbl, m(pcgoods_abbr_tbl) ifr(pctl_00 pctl_05 pctl_10 pctl_25 pctl_50 pctl_75 pctl_80 pctl_85 pctl_90 pctl_95 pctl_99 pctl100) over
  est2tex pcgoods_abbr, ready fancy p(braxpmkt/tex/`sec') replace dropall
  }


* GOODS RANKINGS

foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {
  foreach region in "world" "mercosur" "oecd90" "nonoecd90" "usa" "argentina" {
    foreach stat in "mean" "sd" "count" {
      matload `stat'exp_`region'_tbl, p(braxpmkt/tex/`sec') over dropall missing(.)
      }
    matorder meanexp_`region'_tbl, m(expprod_`region'_b) ifr(1 2 3 4 5 6 7 8 9 10) over
    matorder sdexp_`region'_tbl, m(expprod_`region'_se) ifr(1 2 3 4 5 6 7 8 9 10) over
    matorder countexp_`region'_tbl, m(expprod_`region'_n) ifr(1 2 3 4 5 6 7 8 9 10) over
    forvalues i = 1/10 {
      forvalues j = 1/10 {
        mat expprod_`region'_se[`i',`j'] = expprod_`region'_se[`i',`j']/sqrt(expprod_`region'_n[`i',`j'])
        }
      }
    local lastrow = rowsof(countexp_`region'_tbl)
    mat expprod_`region'_e = countexp_`region'_tbl[`lastrow',1..10]
    mat expprod_`region'_e = expprod_`region'_e \ expprod_`region'_e
    forvalues i = 1/10 {
      mat expprod_`region'_e[2,`i'] = expprod_`region'_e[2,`i']/abs(`i'-11)
      }
    mat rownames expprod_`region'_e = tot_num_firms avg_num_firms
    mat drop meanexp_`region'_tbl sdexp_`region'_tbl countexp_`region'_tbl expprod_`region'_n
    est2tex expprod_`region', fancy p(braxpmkt/tex/`sec') replace dropall
    }
  }


* DESCRIPTIVE REGRESSION TABLES

foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {
  foreach region in "world" "mercosur" "oecd90" "nonoecd90" {
    matload `region'_tbl, p(braxpmkt/tex/`sec') over dropall
    matorder `region'_tbl, m(_addon) over ifr(e(N) e(r2))
    mat `region'_tbl = `region'_tbl[1..4,1...] \ _addon
    mat drop _addon
    mat roweq `region'_tbl = `region'
    }
  local matname = subinstr("`sec'","-","_",.)
  mat desc_`matname'_tbl = world_tbl \ mercosur_tbl \ oecd90_tbl \ nonoecd90_tbl
  mat drop world_tbl mercosur_tbl oecd90_tbl nonoecd90_tbl
  est2tex desc_`matname', ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall
  }


* MINIMUM EXPORTS VALUE REGRESSIONS

foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {
  foreach region in "" "_usa" "_argentina" {
    matload expminval`region'_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
    mat _regsel = expminval`region'_tbl[rownumb(expminval`region'_tbl,"lngoods"),1...] \ expminval`region'_tbl[rownumb(expminval`region'_tbl,"lngoods")+1,1...] \ expminval`region'_tbl[rownumb(expminval`region'_tbl,"_cons"),1...] \ expminval`region'_tbl[rownumb(expminval`region'_tbl,"_cons")+1,1...]
    matorder expminval`region'_tbl, m(_addon) over ifr(e(N) e(N_g) e(r2) e(r2_w) e(r2_o))
    mat expminval`region' = _regsel \ _addon
    mat drop _regsel _addon expminval`region'_tbl
    local colnames : colnames expminval`region'
    local colnames = subinstr("`colnames'","rawdata_","",.)
    mat colnames expminval`region' = `colnames'`region'
    }
  mat expminval_tbl = expminval , expminval_usa , expminval_argentina
  matorder expminval_tbl, m(expminval_tbl) over ifc(ols_usa ols_argentina ols fe_wtf fe_firm fe_wtffirm)
  mat drop expminval expminval_usa expminval_argentina
  est2tex expminval, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(2)
  }


* SCALE-SCOPE FIXED-EFFECT REGRESSION TABLES

foreach sec in "allsec" "manf-goods" "manf-firms" "srvc-firms" "comrc-firms" "manf-ekk" {

foreach region in "world" "mercosur" "oecd90" "nonoecd90" {

matload frm_scalscop_`region'_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matrix coleq frm_scalscop_`region'_tbl = frm
matload frmdst_scalscop_`region'_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matrix coleq frmdst_scalscop_`region'_tbl = frmdst
matload frmdstprd_scalscop_`region'_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matrix coleq frmdstprd_scalscop_`region'_tbl = frmdstprd

mat scalscop_`region'_tbl = frm_scalscop_`region'_tbl , frmdst_scalscop_`region'_tbl , frmdstprd_scalscop_`region'_tbl
matorder scalscop_`region'_tbl, m(scalscop_`region'_tbl) over ifc(frm:xtcnae frmdst:xtcnae frmdst:xtwtfcnae frmdst:xtwtffirm frmdstprd:xtwtffirm frmdstprd:xths2wtfcnae frmdstprd:xths2wtffirm)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_`region'_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_`region'_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_`region'_tbl = `region':

mat scalscop_pap_`region'_tbl = frm_scalscop_`region'_tbl , frmdst_scalscop_`region'_tbl , frmdstprd_scalscop_`region'_tbl
matorder scalscop_pap_`region'_tbl, m(scalscop_pap_`region'_tbl) over ifc(frm:ols frmdst:ols frmdst:xtwtf frmdst:xtwtfcnae frmdstprd:xtwtfcnae frmdstprd:xths2wtf frmdstprd:xths2wtfcnae)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_pap_`region'_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_pap_`region'_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_pap_`region'_tbl = `region':

mat scalscop_dcp_`region'_tbl = frm_scalscop_`region'_tbl , frmdst_scalscop_`region'_tbl
matorder scalscop_dcp_`region'_tbl, m(scalscop_dcp_`region'_tbl) over ifc(frmdst:xtwtffirm frmdst:xtwtf frmdst:xtfirmbe frmdst:ols frm:ols)
local rrho = "r(rho)"
local rownames : rowfullnames scalscop_dcp_`region'_tbl
local rownames : list rownames - rrho
matrix rownames scalscop_dcp_`region'_tbl = `rownames' r(rho-ui)
matrix roweq scalscop_dcp_`region'_tbl = `region':

} // close `region' loop

mat scalscop_tbl = scalscop_world_tbl \ scalscop_mercosur_tbl \ scalscop_oecd90_tbl \ scalscop_nonoecd90_tbl
est2tex scalscop, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(4)

mat scalscop_draft_tbl = scalscop_pap_world_tbl \ scalscop_pap_mercosur_tbl \ scalscop_pap_oecd90_tbl \ scalscop_pap_nonoecd90_tbl
est2tex scalscop_draft, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(4)

mat scalscop_decmp_tbl = scalscop_dcp_world_tbl \ scalscop_dcp_mercosur_tbl \ scalscop_dcp_oecd90_tbl \ scalscop_dcp_nonoecd90_tbl
est2tex scalscop_decmp, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(4)

} // close `sec' loop


* EXPORT-MARKET PRESENCE REGRESSIONS FOR MANUFACTURED EXPORT ITEMS

matload expitem_reg_tbl, p(braxpmkt/tex/manf-ekk) over missing(.) dropall
matorder expitem_reg_tbl, m(ekkscop_reg_tbl) ifc(itm_reg1 itm_reg2 itm_xtreg2 itm_reg1_scop itm_reg2_scop itm_xtreg2_scop)
est2tex ekkscop_reg, ready fancy p(braxpmkt/tex/manf-ekk) replace level(90 95 99) mark(starse) dropall extracols(3)
matorder expitem_reg_tbl, m(ekkexts_reg_tbl) ifc(itm_reg1_lnm itm_reg2_lnm itm_xtreg2_lnm itm_scop_reg1 itm_scop_reg2 itm_scop_xtreg2)
est2tex ekkexts_reg, ready fancy p(braxpmkt/tex/manf-ekk) replace level(90 95 99) mark(starse) dropall extracols(3)


* PREDICTORS OF FIRM, DESTINATION AND PRODUCT EFFECTS IN SCALE AND SCOPE

foreach sec in "allsec" "manf-goods" "manf-firms" "manf-ekk" {

matload xtfrm_frmdst_world_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder xtfrm_frmdst_world_tbl, m(xtfrm_frmdst_world_tbl) ifc(long_xtreg long_xtreg_condl_lngoods long_xtwtffirm_condl_lngoods) over
matload xtfrm_frmdst_scop_world_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder xtfrm_frmdst_scop_world_tbl, m(xtfrm_frmdst_scop_world_tbl) ifc(long_xtreg long_xtreg_condl_lngsales long_xtwtffirm_condl_lngsales) over
mat xtfrm_tbl = xtfrm_frmdst_world_tbl , xtfrm_frmdst_scop_world_tbl
mat colnames xtfrm_tbl = scale:xtreg scale:xtreg_condl_lngoods scale:xtwtffirm_condl_lngoods scope:xtreg scope:xtreg_condl_lngsales scope:xtwtffirm_condl_lngsales
mat drop xtfrm_frmdst_world_tbl xtfrm_frmdst_scop_world_tbl
est2tex xtfrm, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(3)

matload xtwtf_frmdst_world_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder xtwtf_frmdst_world_tbl, m(xtwtf_frmdst_world_tbl) ifc(long_ols long_ols_condl_lngoods long_xtfrm_condl_lngoods) over
matload xtwtf_frmdst_scop_world_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder xtwtf_frmdst_scop_world_tbl, m(xtwtf_frmdst_scop_world_tbl) ifc(long_ols long_ols_condl_lngsales long_xtfrm_condl_lngsales) over
mat xtwtf_tbl = xtwtf_frmdst_world_tbl , xtwtf_frmdst_scop_world_tbl
mat colnames xtwtf_tbl = scale:ols scale:ols_condl_lngoods scale:xtfrm_condl_lngoods scope:ols scope:ols_condl_lngsales scope:xtfrm_condl_lngsales
mat drop xtwtf_frmdst_world_tbl xtwtf_frmdst_scop_world_tbl
est2tex xtwtf, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(3)

matload xths2_frmdstprd_world_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder xths2_frmdstprd_world_tbl, m(xths2_frmdstprd_world_tbl) ifc(xths2 xths2_condl_lngoods xths2wtffrm_condl_lngoods) over
matload xths2_frmdstprd_scop_world_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder xths2_frmdstprd_scop_world_tbl, m(xths2_frmdstprd_scop_world_tbl) ifc(xths2 xths2_condl_lngsales xths2wtffrm_condl_lngsales) over
mat xths2_tbl = xths2_frmdstprd_world_tbl , xths2_frmdstprd_scop_world_tbl
mat colnames xths2_tbl = scale:xtreg scale:xtreg_condl_lngoods scale:xtwtffirm_condl_lngoods scope:xtreg scope:xtreg_condl_lngsales scope:xtwtffirm_condl_lngsales
mat drop xths2_frmdstprd_world_tbl xths2_frmdstprd_scop_world_tbl
est2tex xths2, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(3)

foreach region in "world" "mercosur" "oecd90" "nonoecd90" {
  matload frmdst_fullspec_`region'_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
  matrix coleq frmdst_fullspec_`region'_tbl = `region'
  }
mat frmdst_fullspec_tbl = frmdst_fullspec_world_tbl , frmdst_fullspec_mercosur_tbl , frmdst_fullspec_oecd90_tbl , frmdst_fullspec_nonoecd90_tbl
matorder frmdst_fullspec_tbl, m(frmdst_fullspec_tbl) ifc(world:lngoods5 world:lngoods4 world:lngoods4_interact mercosur:lngoods4_interact oecd90:lngoods4_interact nonoecd90:lngoods4_interact) over
mat drop frmdst_fullspec_world_tbl frmdst_fullspec_mercosur_tbl frmdst_fullspec_oecd90_tbl frmdst_fullspec_nonoecd90_tbl
est2tex frmdst_fullspec, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall

} // close `sec' loop


* TOTAL-EXPORTS PERCENTILE AND SCOPE-PERCENTILE REGRESSION TABLES

foreach sec in "allsec" "manf-goods" "manf-firms" "manf-ekk" {

matload pcsales_corr_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder pcsales_corr_tbl, m(pcsales_corr_tbl) over ifc(corr spearman reg xtwtf xtwtffrm)
matorder pcsales_corr_tbl, m(pcsales_corr_tbl) over ifr(r(rho) r(p) r(N) e(T) e(N_g))

matload lnscope_pctl_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matload xtwtf_lnscope_pctl_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder xtwtf_lnscope_pctl_tbl, m(xtwtf_lnscope_pctl_tbl) over ifc(vshort_ols short_ols long_ols)
mat coleq xtwtf_lnscope_pctl_tbl = xtwtf xtwtf xtwtf
matload lnscope_wtfchar_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder lnscope_wtfchar_tbl, m(lnscope_wtfchar_tbl) over ifc(vshort_ols short_ols long_ols)
mat coleq lnscope_wtfchar_tbl = wtfchar wtfchar wtfchar
mat xtwtf_lnscope_pctl_tbl = lnscope_wtfchar_tbl , xtwtf_lnscope_pctl_tbl
mat drop lnscope_wtfchar_tbl

est2tex pcsales_corr, ready fancy p(braxpmkt/tex/`sec') replace dropall
est2tex lnscope_pctl, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall
est2tex xtwtf_lnscope_pctl, ready fancy p(braxpmkt/tex/`sec') replace level(90 95 99) mark(starse) dropall extracols(3)

} // close `sec' loop


* PARETO GRAPH REGRESSIONS FOR PAPER

local sec "manf-firms"

foreach region in "usa" "argentina" "top20th" "oecd90" "nonoecd90" "world" {
  matload lngoods_cpctl_`region'_tbl, p(braxpmkt/tex/`sec') dropall over missing(.)
  matload lngsales_cpctl_`region'_tbl, p(braxpmkt/tex/`sec') dropall over missing(.)
  matorder lngoods_cpctl_`region'_tbl, m(lngoods_cpctl_`region'_tbl) ifc(lngoods_ols) over
  matorder lngsales_cpctl_`region'_tbl, m(lngsales_cpctl_`region'_tbl) ifc(lngsales_ols) over
  }
mat lngoods_cpctl_tbl = lngoods_cpctl_usa_tbl , lngoods_cpctl_argentina_tbl , lngoods_cpctl_top20th_tbl, lngoods_cpctl_oecd90_tbl , lngoods_cpctl_nonoecd90_tbl , lngoods_cpctl_world_tbl
mat lngsales_cpctl_tbl = lngsales_cpctl_usa_tbl , lngsales_cpctl_argentina_tbl , lngsales_cpctl_top20th_tbl , lngsales_cpctl_oecd90_tbl , lngsales_cpctl_nonoecd90_tbl , lngsales_cpctl_world_tbl
mat colnames lngoods_cpctl_tbl = usa argentina top20th oecd90 nonoecd90 world
mat colnames lngsales_cpctl_tbl = usa argentina top20th oecd90 nonoecd90 world
mat drop lngoods_cpctl_usa_tbl lngoods_cpctl_argentina_tbl lngoods_cpctl_top20th_tbl lngoods_cpctl_oecd90_tbl lngoods_cpctl_nonoecd90_tbl lngoods_cpctl_world_tbl
mat drop lngsales_cpctl_usa_tbl lngsales_cpctl_argentina_tbl lngsales_cpctl_top20th_tbl lngsales_cpctl_oecd90_tbl lngsales_cpctl_nonoecd90_tbl lngsales_cpctl_world_tbl
mat roweq lngoods_cpctl_tbl = lngoods
mat roweq lngsales_cpctl_tbl = lngsales
mat pareto_cpctl_tbl = lngoods_cpctl_tbl \ lngsales_cpctl_tbl
local colnames : colnames pareto_cpctl_tbl
mat dplsabar = J(1,6,.)
mat rownames dplsabar = dplsabar
mat colnames dplsabar = `colnames'
tokenize `colnames'
forvalues j = 1/6 {
  mat dplsabar[1,colnumb(dplsabar,"``j''")] = 1 + lngsales_cpctl_tbl[rownumb(lngsales_cpctl_tbl,"lngsales:rev_x_axis"),colnumb(lngsales_cpctl_tbl,"``j''")]/lngoods_cpctl_tbl[rownumb(lngoods_cpctl_tbl,"lngoods:rev_x_axis"),colnumb(lngoods_cpctl_tbl,"``j''")] - 1
  }
mat pareto_cpctl_tbl = pareto_cpctl_tbl \ dplsabar
mat drop lngoods_cpctl_tbl lngsales_cpctl_tbl dplsabar
est2tex pareto_cpctl, ready fancy p(braxpmkt/tex/`sec') replace dropall

foreach region in "usa" "argentina" "top20th" "oecd90" "nonoecd90" "world" {
  matload lngoods_wcpctl_`region'_tbl, p(braxpmkt/tex/`sec') dropall over missing(.)
  matload lngsales_wcpctl_`region'_tbl, p(braxpmkt/tex/`sec') dropall over missing(.)
  matorder lngoods_wcpctl_`region'_tbl, m(lngoods_wcpctl_`region'_tbl) ifc(lngoods_ols) over
  matorder lngsales_wcpctl_`region'_tbl, m(lngsales_wcpctl_`region'_tbl) ifc(lngsales_ols) over
  }
mat lngoods_wcpctl_tbl = lngoods_wcpctl_usa_tbl , lngoods_wcpctl_argentina_tbl , lngoods_wcpctl_top20th_tbl , lngoods_wcpctl_oecd90_tbl , lngoods_wcpctl_nonoecd90_tbl , lngoods_wcpctl_world_tbl
mat lngsales_wcpctl_tbl = lngsales_wcpctl_usa_tbl , lngsales_wcpctl_argentina_tbl , lngsales_wcpctl_top20th_tbl , lngsales_wcpctl_oecd90_tbl , lngsales_wcpctl_nonoecd90_tbl , lngsales_wcpctl_world_tbl
mat colnames lngoods_wcpctl_tbl = usa argentina top20th oecd90 nonoecd90 world 
mat colnames lngsales_wcpctl_tbl = usa argentina top20th oecd90 nonoecd90 world
mat drop lngoods_wcpctl_usa_tbl lngoods_wcpctl_argentina_tbl lngoods_wcpctl_top20th_tbl lngoods_wcpctl_oecd90_tbl lngoods_wcpctl_nonoecd90_tbl lngoods_wcpctl_world_tbl
mat drop lngsales_wcpctl_usa_tbl lngsales_wcpctl_argentina_tbl lngsales_wcpctl_top20th_tbl lngsales_wcpctl_oecd90_tbl lngsales_wcpctl_nonoecd90_tbl lngsales_wcpctl_world_tbl
mat roweq lngoods_wcpctl_tbl = lngoods
mat roweq lngsales_wcpctl_tbl = lngsales
mat pareto_wcpctl_tbl = lngoods_wcpctl_tbl \ lngsales_wcpctl_tbl
local colnames : colnames pareto_wcpctl_tbl
mat dplsabar = J(1,6,.)
mat rownames dplsabar = dplsabar
mat colnames dplsabar = `colnames'
tokenize `colnames'
forvalues j = 1/6 {
  mat dplsabar[1,colnumb(dplsabar,"``j''")] = 1 + lngsales_wcpctl_tbl[rownumb(lngsales_wcpctl_tbl,"lngsales:rev_x_axis"),colnumb(lngsales_wcpctl_tbl,"``j''")]/lngoods_wcpctl_tbl[rownumb(lngoods_wcpctl_tbl,"lngoods:rev_x_axis"),colnumb(lngoods_wcpctl_tbl,"``j''")] - 1
  }
mat pareto_wcpctl_tbl = pareto_wcpctl_tbl \ dplsabar
mat drop lngoods_wcpctl_tbl lngsales_wcpctl_tbl dplsabar
est2tex pareto_wcpctl, ready fancy p(braxpmkt/tex/`sec') replace dropall

local sec ""


* INDIVIDUAL PRODUCT SCALE REGRESSIONS

foreach sec in "allsec" "manf-goods" "manf-firms" "manf-ekk" {

matload expprod_tbl, p(braxpmkt/estmat/`sec') over dropall missing(.)
matorder expprod_tbl, m(expprod) ifr(lngoods _se lncurrnum _se _cons _se e(N) e(N_g) e(r2) e(r2_w) e(r2_b) e(r2_o) e(g_min) e(g_avg) e(g_max) e(corr) e(sigma_u) e(sigma_e) e(rho) e(df_a) e(df_r) e(F_f)) over
matorder expprod, m(expprod) ifc(rawdata_ols_long rawdata_fewtf_long rawdata_fewtfcnae_long rawdata_fewtffirm_goods) over
local colnames : colfullnames expprod
local cols = colsof(expprod)
mat delta = J(3,`cols',.)
mat rownames delta = delta alphasub total
mat colnames delta = `colnames'
tokenize `colnames'
forvalues j = 1/`cols' {
  mat delta[rownumb(delta,"delta"),colnumb(delta,"``j''")]    = expprod[rownumb(expprod,"lngoods"),"``j''"] + expprod[rownumb(expprod,"lncurrnum"),"``j''"] + 1 - 1
  mat delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")] = - expprod[rownumb(expprod,"lncurrnum"),"``j''"] - 1 + 1
  mat delta[rownumb(delta,"total"),colnumb(delta,"``j''")] = delta[rownumb(delta,"delta"),colnumb(delta,"``j''")] + delta[rownumb(delta,"alphasub"),colnumb(delta,"``j''")]
  }
mat expprod = expprod \ delta
mat drop delta expprod_tbl
mat rename expprod expprod_tbl
est2tex expprod, ready fancy p(braxpmkt/tex/`sec') level(90 95 99) mark(starse) replace dropall

} // close `sec' loop


* CONCENTRATION OF PRODUCT SALES IN TOP PRODUCTS BY FIRMS OF GIVEN SCOPE

foreach sec in "allsec" "manf-goods" "manf-firms" "manf-ekk" {
foreach region in "usa" "argentina" "world" {
  matload topsh_`region'_tbl, p(braxpmkt/tex/`sec') over dropall missing(.)
  matins topsh_`region'_tbl, m(topsh_`region'_tbl) ifr(1 2 3 4 8 16 32 64 128 r(mean)) over
  mat coleq topsh_`region'_tbl = `region'
  }
mat topsh_tbl = topsh_usa_tbl , topsh_argentina_tbl , topsh_world_tbl
est2tex topsh, ready fancy p(braxpmkt/tex/`sec') extracols(3 6) replace dropall digits(3)
} // close `sec' loop

log close
cd "$root"
